Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.data
Class AbleData

    java.lang.Object
      com.ibm.able.data.AbleData

All Implemented Interfaces:
  java.io.Serializable

public class AbleData
extends java.lang.Object
implements java.io.Serializable

This class contains constants for the IBM Agent Building and Learning Environment (ABLE) Data package. This includes literal and variable type constants, logical and math operator constants and methods for converting the constants into Strings for display purposes.

See Also:
  Serialized Form

Field Summary
`static int` | `ArrayIndexExpression` Data type; the data object represents an array index expression
`static int` | `ArrayLengthLiteral` Data type; the data object represents an array legnth field literal
`static int` | `ArrayLiteral` Data type; the data object represents an array index expression
`static int` | `ArrayVariable` Data type; the data object represents an array variable
`static int` | `AsgnEq` Operator; Assignment (=).
`static int` | `AsgnIs` Operator; Fuzzy assignment (Is).
`static int` | `BitShiftLeft` Operator; Bitwise Shift left("<<").
`static int` | `BitShiftRight` Operator; Bitwise Shift right(">>").
`static int` | `BitShiftRightZeroFill` Operator; Bitwise Shift right(">>>").
`static int` | `BitwiseAND` Operator; Bitwise AND("&").
`static int` | `BitwiseNOT` Operator; Bitwise NOT or complement ("~").
`static int` | `BitwiseOR` Operator; Bitwise OR ("|").
`static int` | `BitwiseXOR` Operator; Bitwise or Logical XOR("^" or "xor").
`static int` | `BooleanLiteral` Data type; the data object represents a boolean literal.
`static int` | `BooleanVariable` Data type; the data object represents a boolean variable.
`static int` | `BreakStatement` Operator; the operator represents a break statement
`static int` | `ByteLiteral` Data type; the data object represents a byte literal
`static int` | `ByteVariable` Data type; the data object represents a byte variable
`static int` | `CallLiteral` Data type; the data object represents an object that can be called, such as a user-defined function; this is a type of literal.
`static int` | `CategoricalVariable` Data type; the data object represents a categorical variable.
`static int` | `CharacterLiteral` Data type; the data object represents a character literal
`static int` | `CharacterVariable` Data type; the data object represents a character variable
`static int` | `CmpEq` Operator; Compare equal to (==).
`static int` | `CmpGt` Operator; Compare greater than (>).
`static int` | `CmpGtEq` Operator; Compare greater than or equal to (>=).
`static int` | `CmpIs` Operator; Compare fuzzy equal to (Is).
`static int` | `CmpLt` Operator; Compare less than (<).
`static int` | `CmpLtEq` Operator; Compare less than or equal to (<=).
`static int` | `CmpNeq` Operator; Compare not equal to.
`static java.text.Collator` | `Collator` A collator for comparing string data types.
`static int` | `ContinuousVariable` Data type; the data object represents a continuous variable.
`static int` | `DataTypeUnknown` Data type; the data object represents an unknown data type.
`static int` | `DiscreteVariable` Data type; the data object represents a discrete variable.
`static int` | `Divide` Operator; Divide (/).
`static int` | `DoubleLiteral` Data type; the data object represents a double literal.
`static int` | `DoubleVariable` Data type; the data object represents a Double variable.
`static int` | `Expression` Data type; the data object represents an expression
`static int` | `ExpressionVariable` Data type; the data object represents an expression variable
`static AbleBooleanLiteral` | `False` A convenience boolean literal with a value of false.
`static int` | `FloatLiteral` Data type; the data object represents a float literal
`static int` | `FloatVariable` Data type; the data object represents a float variable
`static int` | `FuzzySet` Data type; the data object represents a fuzzy set.
`static int` | `FuzzyVariable` Data type; the data object represents a fuzzy variable.
`static int` | `GenericLiteral` Data type; the data object represents a generic literal; that is, one whose current value is an Object.
`static int` | `GenericVariable` Data type; the data object represents a generic variable.
`static int` | `IgnoreUsage` Field Usage type; the field is to be ignored
`static int` | `IncludeVariable` Data type; the data object represents an Include variable.
`static int` | `InputUsage` Field Usage type; the field is used as an input field.
`static int` | `IntegerLiteral` Data type; the data object represents an integer literal.
`static int` | `IntegerVariable` Data type; the data object represents a timestamp variable.
`static int` | `ListVariable` Data type; the data object represents a list variable.
`static int` | `LogicalAND` Operator; Logical AND("and" or "&&").
`static int` | `LogicalNOT` Operator; Logical NOT("not" or "!").
`static int` | `LogicalOR` Operator; Logical OR ("or" or "||").
`static int` | `LongLiteral` Data type; the data object represents a long literal
`static int` | `LongVariable` Data type; the data object represents a long variable
`static int` | `Minus` Operator; Minus, subtract (-).
`static int` | `Modulo` Operator; Modulo (%).
`static int` | `Multiply` Operator; Multiply (*).
`static int` | `NewObjectLiteral` Data type; the data object represents a new Object literal
`static int` | `Noop` Operator; No-operation.
`static int` | `NumericLiteral` Data type; the data object represents a numeric literal.
`static int` | `NumericVariable` Data type; the data object represents a numeric variable.
`static int` | `OperatorUnknown` Operator; an unknown operator.
`static int` | `OutputUsage` Field Usage type; the field is used as an output or target field.
`static int` | `Plus` Operator; Plus, add or concatenate (+)
`static int` | `Predicate` Data type; the data object represents a Predicate
`static int` | `ShortLiteral` Data type; the data object represents a short literal
`static int` | `ShortVariable` Data type; the data object represents a short variable
`static double` | `SQLDoubleNull` The value of a double variable assigned when the SQL column contains a null value.
`static java.lang.String` | `SQLStringNull` The value of a string variable assigned when the SQL column contains a null value.
`static int` | `StringLiteral` Data type; the data object represents a string literal.
`static int` | `StringVariable` Data type; the data object represents a string variable.
`static int` | `TimeStampLiteral` Data type; the data object represents a time stamp literal.
`static int` | `TimeStampVariable` Data type; the data object represents a timestamp variable.
`static AbleBooleanLiteral` | `True` A convenience boolean literal with a value of true.
`static int` | `TypedVariable` Data type; the data object represents a user-defined data type variable.
`static int` | `TypedVariableCompoundLiteral` Data type; the data object represents an typed variable compound literal
`static int` | `TypedVariableField` Data type; the data object represents a field within a user-defined data type variable.
`static int` | `TypedVariableMethodLiteral` Data type; the data object represents a method within a user-defined data type variable.
`static int` | `UnaryMinus` Operator; Unary Minus, ("-").
`static int` | `UnaryPlus` Operator; Unary Plus ("+")
`static int` | `ValueTypeBoolean` Value type; the data string represents a boolean value, either "true" or "false".
`static int` | `ValueTypeCallName` Value type; the data string represents the name of a user-defined function.
`static int` | `ValueTypeName` Value type; the data string represents the name of a variable.
`static int` | `ValueTypeNumber` Value type; the data string represents a literal number.
`static int` | `ValueTypeSetName` Value type; the data string represents the name of a fuzzy set.
`static int` | `ValueTypeUnknown` Value type; the data string represents a unknown value.
`static int` | `VarIdInitial` The ID of the first created variable.
`static int` | `VarIdNull` A "null" variable ID.
`static java.lang.String` | `XML_ESC_AMPERSAND`
`static java.lang.String` | `XML_ESC_APOSTROPHE`
`static java.lang.String` | `XML_ESC_GREATER_THAN`
`static java.lang.String` | `XML_ESC_LESS_THAN`
`static java.lang.String` | `XML_ESC_QUOTE`

Method Summary
`static java.lang.String` | `DataType(int theDataType)` Given an AbleData DataType constant, convert the value to a human-readable string; the use of this method is primarily for debugging.
`static int` | `DataType(java.lang.String theDataType)` Given a string describing an Able data type, convert the string to an AbleData DataType constant.
`static java.lang.String` | `DataTypeDebug(int theDataType)` Given an AbleData DataType constant, convert the value to a human-readable string; the use of this method is primarily for debugging.
`static java.lang.String` | `escapeXMLString(java.lang.String xmlString)` Take a comment or string literal and make it XML parser friendly by removing offending chars and replacing them with XML constants
`static java.lang.String` | `Operator(int theOperator)` Given an AbleData <Operator> constant, converts the value to a human-readable string; the use of this method is primarily for debugging.
`static java.lang.String` | `OperatorRl(int theOperator)` Given an AbleData <Operator> constant, converts the value to a form suitable for inclusion in a formal Able rule language clause.
`static java.lang.String` | `OperatorXml(int theOperator)` Given an AbleData <Operator> constant, converts the value to a form suitable for inclusion in a formal Able XML clause.
`static int` | `UsageType(java.lang.String theUsageType)` Given a string describing an Able field usage type, converts the string to an AbleData <UsageType> constant.
`static java.lang.String` | `UsageTypeString(int theUsageType)` Given an AbleData.UsageType constant, convert the value to a human-readable string;
`static java.lang.String` | `ValueType(int theValueType)` Given an AbleData.ValueType constant, convert the value to a human-readable string; the use of this method is primarily for debugging.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DataTypeUnknown

    public static final int DataTypeUnknown

  Data type; the data object represents an unknown data type. Data objects created with a zero-argument constructor are given this data type until the data object is initialized.

  See Also:
    Constant Field Values

### BooleanLiteral

    public static final int BooleanLiteral

  Data type; the data object represents a boolean literal.

  See Also:
    Constant Field Values

### CallLiteral

    public static final int CallLiteral

  Data type; the data object represents an object that can be called, such as a user-defined function; this is a type of literal.

  See Also:
    Constant Field Values

### GenericLiteral

    public static final int GenericLiteral

  Data type; the data object represents a generic literal; that is, one whose current value is an Object.

  See Also:
    Constant Field Values

### NumericLiteral

    public static final int NumericLiteral

  Data type; the data object represents a numeric literal.

  See Also:
    Constant Field Values

### StringLiteral

    public static final int StringLiteral

  Data type; the data object represents a string literal.

  See Also:
    Constant Field Values

### FuzzySet

    public static final int FuzzySet

  Data type; the data object represents a fuzzy set.

  See Also:
    Constant Field Values

### TimeStampLiteral

    public static final int TimeStampLiteral

  Data type; the data object represents a time stamp literal.

  See Also:
    Constant Field Values

### DoubleLiteral

    public static final int DoubleLiteral

  Data type; the data object represents a double literal.

  See Also:
    Constant Field Values

### IntegerLiteral

    public static final int IntegerLiteral

  Data type; the data object represents an integer literal.

  See Also:
    Constant Field Values

### BooleanVariable

    public static final int BooleanVariable

  Data type; the data object represents a boolean variable.

  See Also:
    Constant Field Values

### CategoricalVariable

    public static final int CategoricalVariable

  Data type; the data object represents a categorical variable.

  See Also:
    Constant Field Values

### ContinuousVariable

    public static final int ContinuousVariable

  Data type; the data object represents a continuous variable.

  See Also:
    Constant Field Values

### DiscreteVariable

    public static final int DiscreteVariable

  Data type; the data object represents a discrete variable.

  See Also:
    Constant Field Values

### FuzzyVariable

    public static final int FuzzyVariable

  Data type; the data object represents a fuzzy variable.

  See Also:
    Constant Field Values

### GenericVariable

    public static final int GenericVariable

  Data type; the data object represents a generic variable.

  See Also:
    Constant Field Values

### NumericVariable

    public static final int NumericVariable

  Data type; the data object represents a numeric variable.

  See Also:
    Constant Field Values

### StringVariable

    public static final int StringVariable

  Data type; the data object represents a string variable.

  See Also:
    Constant Field Values

### ListVariable

    public static final int ListVariable

  Data type; the data object represents a list variable.

  See Also:
    Constant Field Values

### TypedVariable

    public static final int TypedVariable

  Data type; the data object represents a user-defined data type variable.

  See Also:
    Constant Field Values

### TypedVariableField

    public static final int TypedVariableField

  Data type; the data object represents a field within a user-defined data type variable.

  See Also:
    Constant Field Values

### TimeStampVariable

    public static final int TimeStampVariable

  Data type; the data object represents a timestamp variable.

  See Also:
    Constant Field Values

### DoubleVariable

    public static final int DoubleVariable

  Data type; the data object represents a Double variable.

  See Also:
    Constant Field Values

### IntegerVariable

    public static final int IntegerVariable

  Data type; the data object represents a timestamp variable.

  See Also:
    Constant Field Values

### TypedVariableMethodLiteral

    public static final int TypedVariableMethodLiteral

  Data type; the data object represents a method within a user-defined data type variable.

  See Also:
    Constant Field Values

### Expression

    public static final int Expression

  Data type; the data object represents an expression

  See Also:
    Constant Field Values

### ArrayVariable

    public static final int ArrayVariable

  Data type; the data object represents an array variable

  See Also:
    Constant Field Values

### ArrayLiteral

    public static final int ArrayLiteral

  Data type; the data object represents an array index expression

  See Also:
    Constant Field Values

### ArrayIndexExpression

    public static final int ArrayIndexExpression

  Data type; the data object represents an array index expression

  See Also:
    Constant Field Values

### FloatVariable

    public static final int FloatVariable

  Data type; the data object represents a float variable

  See Also:
    Constant Field Values

### FloatLiteral

    public static final int FloatLiteral

  Data type; the data object represents a float literal

  See Also:
    Constant Field Values

### LongVariable

    public static final int LongVariable

  Data type; the data object represents a long variable

  See Also:
    Constant Field Values

### LongLiteral

    public static final int LongLiteral

  Data type; the data object represents a long literal

  See Also:
    Constant Field Values

### Predicate

    public static final int Predicate

  Data type; the data object represents a Predicate

  See Also:
    Constant Field Values

### NewObjectLiteral

    public static final int NewObjectLiteral

  Data type; the data object represents a new Object literal

  See Also:
    Constant Field Values

### ByteVariable

    public static final int ByteVariable

  Data type; the data object represents a byte variable

  See Also:
    Constant Field Values

### ByteLiteral

    public static final int ByteLiteral

  Data type; the data object represents a byte literal

  See Also:
    Constant Field Values

### ShortVariable

    public static final int ShortVariable

  Data type; the data object represents a short variable

  See Also:
    Constant Field Values

### ShortLiteral

    public static final int ShortLiteral

  Data type; the data object represents a short literal

  See Also:
    Constant Field Values

### CharacterVariable

    public static final int CharacterVariable

  Data type; the data object represents a character variable

  See Also:
    Constant Field Values

### CharacterLiteral

    public static final int CharacterLiteral

  Data type; the data object represents a character literal

  See Also:
    Constant Field Values

### ExpressionVariable

    public static final int ExpressionVariable

  Data type; the data object represents an expression variable

  See Also:
    Constant Field Values

### ArrayLengthLiteral

    public static final int ArrayLengthLiteral

  Data type; the data object represents an array legnth field literal

  See Also:
    Constant Field Values

### TypedVariableCompoundLiteral

    public static final int TypedVariableCompoundLiteral

  Data type; the data object represents an typed variable compound literal

  See Also:
    Constant Field Values

### IncludeVariable

    public static final int IncludeVariable

  Data type; the data object represents an Include variable.

  Since:
    ABLE 2.2.0
  See Also:
    Constant Field Values

### OperatorUnknown

    public static final int OperatorUnknown

  Operator; an unknown operator.

  See Also:
    Constant Field Values

### AsgnEq

    public static final int AsgnEq

  Operator; Assignment (=).

  See Also:
    Constant Field Values

### AsgnIs

    public static final int AsgnIs

  Operator; Fuzzy assignment (Is).

  See Also:
    Constant Field Values

### CmpEq

    public static final int CmpEq

  Operator; Compare equal to (==).

  See Also:
    Constant Field Values

### CmpGt

    public static final int CmpGt

  Operator; Compare greater than (>).

  See Also:
    Constant Field Values

### CmpGtEq

    public static final int CmpGtEq

  Operator; Compare greater than or equal to (>=).

  See Also:
    Constant Field Values

### CmpIs

    public static final int CmpIs

  Operator; Compare fuzzy equal to (Is).

  See Also:
    Constant Field Values

### CmpLt

    public static final int CmpLt

  Operator; Compare less than (<).

  See Also:
    Constant Field Values

### CmpLtEq

    public static final int CmpLtEq

  Operator; Compare less than or equal to (<=).

  See Also:
    Constant Field Values

### CmpNeq

    public static final int CmpNeq

  Operator; Compare not equal to.

  See Also:
    Constant Field Values

### Noop

    public static final int Noop

  Operator; No-operation.

  See Also:
    Constant Field Values

### Plus

    public static final int Plus

  Operator; Plus, add or concatenate (+)

  See Also:
    Constant Field Values

### Minus

    public static final int Minus

  Operator; Minus, subtract (-).

  See Also:
    Constant Field Values

### Multiply

    public static final int Multiply

  Operator; Multiply (*).

  See Also:
    Constant Field Values

### Divide

    public static final int Divide

  Operator; Divide (/).

  See Also:
    Constant Field Values

### Modulo

    public static final int Modulo

  Operator; Modulo (%).

  See Also:
    Constant Field Values

### LogicalAND

    public static final int LogicalAND

  Operator; Logical AND("and" or "&&").

  See Also:
    Constant Field Values

### LogicalOR

    public static final int LogicalOR

  Operator; Logical OR ("or" or "||").

  See Also:
    Constant Field Values

### LogicalNOT

    public static final int LogicalNOT

  Operator; Logical NOT("not" or "!").

  See Also:
    Constant Field Values

### UnaryPlus

    public static final int UnaryPlus

  Operator; Unary Plus ("+")

  See Also:
    Constant Field Values

### UnaryMinus

    public static final int UnaryMinus

  Operator; Unary Minus, ("-").

  See Also:
    Constant Field Values

### BitwiseAND

    public static final int BitwiseAND

  Operator; Bitwise AND("&").

  See Also:
    Constant Field Values

### BitwiseOR

    public static final int BitwiseOR

  Operator; Bitwise OR ("|").

  See Also:
    Constant Field Values

### BitwiseXOR

    public static final int BitwiseXOR

  Operator; Bitwise or Logical XOR("^" or "xor").

  See Also:
    Constant Field Values

### BitwiseNOT

    public static final int BitwiseNOT

  Operator; Bitwise NOT or complement ("~").

  See Also:
    Constant Field Values

### BitShiftLeft

    public static final int BitShiftLeft

  Operator; Bitwise Shift left("<<").

  See Also:
    Constant Field Values

### BitShiftRight

    public static final int BitShiftRight

  Operator; Bitwise Shift right(">>").

  See Also:
    Constant Field Values

### BitShiftRightZeroFill

    public static final int BitShiftRightZeroFill

  Operator; Bitwise Shift right(">>>").

  See Also:
    Constant Field Values

### BreakStatement

    public static final int BreakStatement

  Operator; the operator represents a break statement

  See Also:
    Constant Field Values

### InputUsage

    public static final int InputUsage

  Field Usage type; the field is used as an input field.

  See Also:
    Constant Field Values

### OutputUsage

    public static final int OutputUsage

  Field Usage type; the field is used as an output or target field.

  See Also:
    Constant Field Values

### IgnoreUsage

    public static final int IgnoreUsage

  Field Usage type; the field is to be ignored

  See Also:
    Constant Field Values

### ValueTypeUnknown

    public static final int ValueTypeUnknown

  Value type; the data string represents a unknown value.

  See Also:
    Constant Field Values

### ValueTypeBoolean

    public static final int ValueTypeBoolean

  Value type; the data string represents a boolean value, either "true" or "false".

  See Also:
    Constant Field Values

### ValueTypeName

    public static final int ValueTypeName

  Value type; the data string represents the name of a variable.

  See Also:
    Constant Field Values

### ValueTypeNumber

    public static final int ValueTypeNumber

  Value type; the data string represents a literal number.

  See Also:
    Constant Field Values

### ValueTypeSetName

    public static final int ValueTypeSetName

  Value type; the data string represents the name of a fuzzy set.

  See Also:
    Constant Field Values

### ValueTypeCallName

    public static final int ValueTypeCallName

  Value type; the data string represents the name of a user-defined function.

  See Also:
    Constant Field Values

### SQLStringNull

    public static final java.lang.String SQLStringNull

  The value of a string variable assigned when the SQL column contains a null value.

  See Also:
    Constant Field Values

### SQLDoubleNull

    public static final double SQLDoubleNull

  The value of a double variable assigned when the SQL column contains a null value.

  See Also:
    Constant Field Values

### VarIdInitial

    public static final int VarIdInitial

  The ID of the first created variable.

  See Also:
    Constant Field Values

### VarIdNull

    public static final int VarIdNull

  A "null" variable ID.

  See Also:
    Constant Field Values

### True

    public static final AbleBooleanLiteral True

  A convenience boolean literal with a value of true.

### False

    public static final AbleBooleanLiteral False

  A convenience boolean literal with a value of false.

### Collator

    public static final java.text.Collator Collator

  A collator for comparing string data types.

### XML_ESC_LESS_THAN

    public static final java.lang.String XML_ESC_LESS_THAN

See Also:
  Constant Field Values

### XML_ESC_GREATER_THAN

    public static final java.lang.String XML_ESC_GREATER_THAN

See Also:
  Constant Field Values

### XML_ESC_AMPERSAND

    public static final java.lang.String XML_ESC_AMPERSAND

See Also:
  Constant Field Values

### XML_ESC_APOSTROPHE

    public static final java.lang.String XML_ESC_APOSTROPHE

See Also:
  Constant Field Values

### XML_ESC_QUOTE

    public static final java.lang.String XML_ESC_QUOTE

See Also:
  Constant Field Values

Method Detail

### DataType

    public static final java.lang.String DataType(int theDataType)

  Given an AbleData DataType constant, convert the value to a human-readable string; the use of this method is primarily for debugging.

  Parameters:
    `theDataType` - An AbleData.<DataType> constant.

  Returns:
    A string of the form "n:AbleData.constantName" where "n" is the input constant and "constantName" is a description of "n".

### DataType

    public static final int DataType(java.lang.String theDataType)

  Given a string describing an Able data type, convert the string to an AbleData DataType constant. For example, when given ".AbleData.BooleanVariable", return 11. This works for all known Able data types. For variables only, a shorthand input may also be used; for example, "boolean", "categorical", "continuous", and so on.

  Parameters:
    `theDataType` - A string describing an Able data type.

  Returns:
    An AbleData.<DataType> constant.

### DataTypeDebug

    public static final java.lang.String DataTypeDebug(int theDataType)

  Given an AbleData DataType constant, convert the value to a human-readable string; the use of this method is primarily for debugging.

  Parameters:
    `theDataType` - An AbleData.<DataType> constant.

  Returns:
    A string of the form "n:AbleData.constantName" where "n" is the input constant and "constantName" is a description of "n".

### UsageTypeString

    public static final java.lang.String UsageTypeString(int theUsageType)

  Given an AbleData.UsageType constant, convert the value to a human-readable string;

  Parameters:
    `theUsageType` - An AbleData <UsageType> constant.

  Returns:
    A string of the form "Input", "Output", "Ignore", or "Unknown" if the specified usage type does not match any defined usage type.

### UsageType

    public static final int UsageType(java.lang.String theUsageType)

  Given a string describing an Able field usage type, converts the string to an AbleData <UsageType> constant. For example, when given ".Input", returns 0.

  Parameters:
    `theUsageType` - A string describing an Able field usage type.

  Returns:
    An AbleData.<UsageType> constant, or -1 if the string doesn't match any defined usage type.

### Operator

    public static java.lang.String Operator(int theOperator)

  Given an AbleData <Operator> constant, converts the value to a human-readable string; the use of this method is primarily for debugging.

  Parameters:
    `theOperator` - An AbleData.<Operator> constant.

  Returns:
    A string of the form "n:AbleData.constantName" where "n" is the input constant and "constantName" is a description of "n".

### OperatorRl

    public static java.lang.String OperatorRl(int theOperator)

  Given an AbleData <Operator> constant, converts the value to a form suitable for inclusion in a formal Able rule language clause.

  Parameters:
    `theOperator` - An AbleData.<Operator> constant.

  Returns:
    A string that is the rule language form of the operator; for example, given CmpGt, ">" is returned.

### OperatorXml

    public static java.lang.String OperatorXml(int theOperator)

  Given an AbleData <Operator> constant, converts the value to a form suitable for inclusion in a formal Able XML clause.

  Parameters:
    `theOperator` - An AbleData.<Operator> constant.

  Returns:
    A string that is the rule language form of the operator; for example, given CmpGt, "isGreaterThan" is returned.

### ValueType

    public static final java.lang.String ValueType(int theValueType)

  Given an AbleData.ValueType constant, convert the value to a human-readable string; the use of this method is primarily for debugging.

  Parameters:
    `theValueType` - An AbleData <ValueType> constant.

  Returns:
    A string of the form "n:AbleData.constantName" where "n" is the input constant and "constantName" is a description of "n".

### escapeXMLString

    public static java.lang.String escapeXMLString(java.lang.String xmlString)

  Take a comment or string literal and make it XML parser friendly by removing offending chars and replacing them with XML constants

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005